<#--  工具栏模型  -->

   /**
    * 工具栏 ${srfclassname('${view.name}')} 模型
    *
    * @type {*}
    * @memberof ${srfclassname('${view.name}')}
    */
    public ${ctrl.name?lower_case}Models: any = {
    <#if ctrl.getPSDEToolbarItems()??>
        <#list ctrl.getPSDEToolbarItems() as item>
        ${P.getPartCode(item).code}
        </#list>
    </#if>
    };
<#if ctrl.getToolbarStyle() == 'MOBBOTTOMMENU'>

    /**
     * 工具栏显示状态
     *
     * @type {boolean}
     * @memberof ${srfclassname('${view.name}')} 
     */
    public ${ctrl.name}ShowState: boolean = false;

    /**
     * 工具栏权限
     *
     * @type {boolean}
     * @memberof ${srfclassname('${view.name}')} 
     */
    get getToolBarLimit() {
        let toolBarVisable:boolean = false;
        if(this.righttoolbarModels){
            Object.keys(this.righttoolbarModels).forEach((tbitem:any)=>{
                if(this.righttoolbarModels[tbitem].type !== 'ITEMS' && this.righttoolbarModels[tbitem].visabled === true){
                    toolBarVisable = true;
                    return;
                }
            })
        }
        return toolBarVisable;
    }

    /**
     * 工具栏分组是否显示的条件
     *
     * @type {boolean}
     * @memberof ${srfclassname('${view.name}')} 
     */
    public showGrop = false;

    /**
     * 工具栏分组是否显示的方法
     *
     * @type {boolean}
     * @memberof ${srfclassname('${view.name}')} 
     */
    public popUpGroup (falg:boolean = false) {
        this.showGrop = falg;
    }
</#if>

    
